summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorΝικόλαος Κυριάκος Φυτίλης2019-08-06 17:05:14 +0300
committerΝικόλαος Κυριάκος Φυτίλης2019-08-06 17:05:14 +0300
commit280bad42ff23952a16e66c1d2cecee52e90f5d6e (patch)
treeafbeaccb526705604be4c1ed32bfb2695df9afdf
parentca8101bc987bf1767f11339a921f54105292b3db (diff)
downloadaur-g15mpd.tar.gz
compiles
-rw-r--r--PKGBUILD5
1 files changed, 3 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 68329457c71..8823053bfea 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,3 +1,4 @@
+# Maintainer: Nikos Fytilis <n-fit \at\ live \dot\ com>
# Contributor: zoulnix <http://goo.gl/HQaP>
pkgname=g15mpd
pkgver=1.0.0
@@ -18,7 +19,6 @@ build() {
# apply patches...
patch -Np1 -i ../${pkgname}-libmpdheader.patch || return 1
-
# Generating build system
sh autogen.sh || return 1
@@ -27,7 +27,8 @@ build() {
--localstatedir=/var \
--disable-static
- make || return 1
+ sed 's/-lmpd/-lmpd -pthread/' -i Makefile
+ make LDLIBS='-lpthread' || return 1
}
package() {